// moved to types.h P.K. 
/*
#ifndef __animation__
#define __animation__
typedef struct {
  Uint8 **frame;
  int nframes;
}animation;
#endif // __animation__

#ifndef __Sprite__
#define __Sprite__
typedef struct {
  Uint8 decalage;
  SDL_Palette *palette;
  animation **anims;
  int nanims;
  char *nom;
}Sprite;
#endif // __Sprite__
*/

/*
extern SDL_Rect spr_rect;
*/
extern Sprite *couleurs;
extern Sprite *sol, *bloc, *mur, *fleche, *teleport, *tunnel, *bouton, *fontaine;
//Sprite *sol, *bloc, *mur, *fleche, *teleport, *tunnel, *bouton, *hiddenbouton, *fontaine;
extern Sprite *bombe, *flammes, *bonus, *etoiles;
extern Sprite *sprit[8], *fauxsprit[MAX_NPERSO];//, *troll, *barbare, *magus, *citrouille;
/*
extern Sprite *tous_les_sprites[256];
extern int nsprites;
*/

extern int decl;

void blitsprit(Sprite *spr, int anim, int frame, int x, int y);
Sprite * charge_sprite(const char *nom, int decalage);
void charge_graphs(FILE *);
void charge_sprites(Sprite **, char **spritliste, int n);
void detruit_sprite(Sprite *spr);
void detruit_sprites(void);
